Create or Update a Runtime Secret for an install by install id and key for Autoscale accounts
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/runtime_secrets/my_runtime_secret_key"
payload := strings.NewReader("{ \"value\": \"example\" }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <credentials>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/runtime_secrets/my_runtime_secret_key';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/runtime_secrets/my_runtime_secret_key \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "value": "example" }'Creates or updates the Runtime Secret for the specified install and key for Autoscale accounts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Example
294deacc-d8b8-4005-82c4-0727ba8ddde0Example
my_runtime_secret_keyRequest Body
Section titled “Request Body”object
The new value for the Runtime Secret
Examplegenerated
{ "value": "example"}Responses
Section titled “ Responses ”Successful response
object
Key of the secret
Full resource path of the secret
Timestamp when the secret was created
Timestamp when the secret was last updated
Example
{ "key": "any_identifiable_key", "name": "environments/myinstall/secrets/c5671143-e46c-438a-a39e-9950124af986", "create_time": "2026-09-03T08:43:55.944Z", "update_time": "2026-09-03T09:22:57.112Z"}Bad request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid Site: Name cannot be empty.", "errors": [ { "resource": "Site", "field": "name", "type": "invalid_value", "code": "too_long", "message": "Name is too long (maximum is 40 characters)" } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Not found
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Internal server error
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}Service unavailable